org.apache.felix.obrplugin

## Class PomHelper

- java.lang.Object
- - org.apache.felix.obrplugin.PomHelper

-     public final class PomHelper
      extends Object

  Maven POM helper methods.
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PomHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.maven.project.MavenProject` | `buildPom(String groupId, String artifactId, String version, String packaging)`
    `static org.apache.maven.project.MavenProject` | `readPom(File pomFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PomHelper

          public PomHelper()

  - ### Method Detail

    - #### readPom

          public static org.apache.maven.project.MavenProject readPom(File pomFile)
                                                               throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### buildPom

          public static org.apache.maven.project.MavenProject buildPom(String groupId,
                                                       String artifactId,
                                                       String version,
                                                       String packaging)

Copyright © 2015. All rights reserved.